import { Canvas, NetworkClient, ModelSchema, Config, Actions } from "@canvas-js/core";
/**
 * React hook for Canvas applications using client-to-server sync.
 *
 * @param url The wss:// endpoint to connect to.
 * @param config The application to run inside the hook. If `topic` and
 * `contract` are empty, this will fetch the application contract from
 * `url`, and live-update the local app when the server contract changes.
 */
export declare const useCanvas: <ModelsT extends ModelSchema = ModelSchema, ActionsT extends Actions<ModelsT> = Actions<ModelsT>>(url: string | null, config: Config<ModelsT, ActionsT> | Omit<Config<ModelsT, ActionsT>, "topic" | "contract">) => {
    app: Canvas<ModelsT, ActionsT> | undefined;
    ws: NetworkClient<any> | undefined;
    error: Error | undefined;
};
